Onboard a new Person into the ACH application ( SUNSETTING )
curl --request POST \
--url https://api.grailpay.com/3p/api/v2/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_reference_id": "123456",
"first_name": "John",
"last_name": "Doe",
"email": "test@example.org",
"phone": "1234567890",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"bank_account": {
"custom": {
"account_number": "123456789",
"routing_number": "123456789",
"account_name": "John Doe",
"account_type": "checking"
}
},
"billing_merchant_user_uuid": "2bcf2ac3-38fc-4238-a638-4f092821fc27",
"billing_processor_mid": "21245678932",
"payout_type": "individual"
}
'import requests
url = "https://api.grailpay.com/3p/api/v2/users"
payload = {
"client_reference_id": "123456",
"first_name": "John",
"last_name": "Doe",
"email": "test@example.org",
"phone": "1234567890",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"bank_account": { "custom": {
"account_number": "123456789",
"routing_number": "123456789",
"account_name": "John Doe",
"account_type": "checking"
} },
"billing_merchant_user_uuid": "2bcf2ac3-38fc-4238-a638-4f092821fc27",
"billing_processor_mid": "21245678932",
"payout_type": "individual"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_reference_id: '123456',
first_name: 'John',
last_name: 'Doe',
email: 'test@example.org',
phone: '1234567890',
address: {line_1: '10554 W Quarles Ave', city: 'Littleton', state: 'CO', zip: '80127'},
bank_account: {
custom: {
account_number: '123456789',
routing_number: '123456789',
account_name: 'John Doe',
account_type: 'checking'
}
},
billing_merchant_user_uuid: '2bcf2ac3-38fc-4238-a638-4f092821fc27',
billing_processor_mid: '21245678932',
payout_type: 'individual'
})
};
fetch('https://api.grailpay.com/3p/api/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {
"client_reference_id": "company_45458",
"uuid": "9d264b4a-006c-4d01-acd0-730e27784c59",
"first_name": "John",
"last_name": "Dew",
"email": "john.dew@example.com",
"phone": "2457856490",
"user_status": "APPROVED",
"payout_type": "individual",
"address": {
"street_address": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"country": "US",
"zip": "80127"
},
"role": "Person",
"vendor_name": "Fintech",
"valid_account": "Valid",
"bank_account": {
"risk": {
"confidence_score": "0.83",
"threshold": "0.61"
}
},
"created_at": "2024-10-02 14:06:14",
"updated_at": "2024-10-02 14:06:17"
},
"errors": {},
"error_code": "<string>"
}{
"status": false,
"message": "Invalid Parameters Received",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"first_name": [
"The first name must be a string."
]
},
"error_code": null
}{
"status": false,
"message": "Internal server error occurred.",
"data": null,
"errors": null,
"error_code": "server_error"
}Users
Onboard a new Person into the ACH application ( SUNSETTING )
This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
POST
/
3p
/
api
/
v2
/
users
Onboard a new Person into the ACH application ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
Example:
"123456"
Example:
"John"
Example:
"Doe"
Example:
"test@example.org"
Example:
"1234567890"
Show child attributes
Show child attributes
Bank account can be either Plaid or Custom, not both
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
"2bcf2ac3-38fc-4238-a638-4f092821fc27"
Example:
"21245678932"
Available options:
batch, individual Example:
"individual"
⌘I
